Skip to content

Changelog scilab (6.1.0+dfsg1-1ubuntu3.1)

2021

scilab (6.1.0+dfsg1-1ubuntu3.1) focal; urgency=medium

   * d/p/addLibraryPath.patch: fix crash at startup. LP: #1870813

2020

scilab (6.1.0+dfsg1-1ubuntu3) focal; urgency=medium

   * fix ftbfs with new icu

scilab (6.1.0+dfsg1-1) unstable; urgency=medium

   * Package new upstream release 6.1.0.
   * Refresh all patches, dropping only the spelling one.
   * Switch from d/compat to dh-compat, and level 12.
   * Bump std-vers to 4.5.0.
   * Make sure files new in this release get installed.
   * Rewrite d/copyright, hence going to +dfsg1.

scilab (6.0.2-1) unstable; urgency=medium

   * Fix d/watch (upstream changed the webpage => use github!)
   * Bump std-ver to 4.4.1.
   * Package new upstream.
   * Work on patches:
     - adddemo.diff: follow path changes.
     - appstream.patch: drop, now upstream.
     - desktop_files.patch: drop, now upstream.
     - fix_fortran_code.patch: drop, now upstream.
     - fix-ocaml-4.05.patch: drop, upstream changes fix the same issue.
     - librarypath.diff: drop, upstream changes fix the same issue.
     - jh.diff: follow path changes.
     - missing-lib.diff: follow path changes.
     - jvm-archdir-ppc64le.diff: drop, upstream.
     - libjogl2-java-2.3.2.diff: follow path changes, refresh, complete.
     - hdf5-1.10-api.patch: drop, upstream changes fix the same issue.
     - gcc-7.patch: drop, upstream.
     - lucene_4.10.patch: drop, upstream changes fix the same issue.
     - spelling.patch: refresh (most problems have been fixed upstream).
     - no_homedir.patch: drop, upstream.
     - reproducible_build.patch: follow path changes.
     - scicos_Makefile.patch: drop.
     - java_9.patch: follow path changes, refresh, complete.
     - force_java_home.patch: follow path changes, refresh.
     - set_class_path.patch: follow path changes, refresh.
     - use_outside_font.patch: follow path changes.
     - java11-compatibility.patch: follow path changes.
     - force-fop-jar-into-classpath.patch: follow path changes.
   * Make debian/rules find the sources.
   * Add new patch lucene4.10.patch.
   * Add time as build-dep.
   * Fix install target.
   * Fix desktop files paths.
   * Fix doc files paths.
   * Clean more files from the packages.
   * Remove obsolete lintian override.
   * Add depend on libnum-ocaml-dev (Closes: #934047).
   * Add patch to get around Debian's ATLAS #947827.
   * Add patch to work with more recent OCaml versions.
   * Fix spelling mistakes (update spelling.patch).
   * Add find_libs.patch so scilab actually finds its libs.

2019

scilab (6.0.1-10) unstable; urgency=medium

   [ Alexis Murzeau ]
   * Fix a startup issue with scilab-cli & scilab-adv-cli
     (Closes: #907607)

scilab (6.0.1-9) unstable; urgency=medium

   * Team upload.
   * Remove armel, mips and mipsel from the list of supported architectures,
     since libjogl2-jni is no longer available on these. (Closes: #926069)

scilab (6.0.1-8) unstable; urgency=medium

   * Team upload.
   * fix-desktop-startup.patch: new patch taken from upstream. Thanks to
     Matthias Klose. (Closes: #925020)

2018

scilab (6.0.1-7) unstable; urgency=medium

   * Team upload.
 
   [ Gilles Filippini ]
   * New patch force-fop-jar-into-classpath.patch:
     force /usr/share/java/fop.jar into the classpath.  Closes: #915102

scilab (6.0.1-6) unstable; urgency=medium

   * Bump std-ver to 4.2.1.
   * Merge pull request from E.Bourg (Closes: #912392).

scilab (6.0.1-5) unstable; urgency=medium

   * Rework building doc (fixes another FTBFS on non-amd64)

scilab (6.0.1-4) unstable; urgency=medium

   * Remove faulty rmdir in d/rules (fixes a FTBFS on non-amd64)

scilab (6.0.1-3) unstable; urgency=medium

   * Rework the java >= 9 support (Closes: #875790,#739235,#818352,#662986).
   * Declared all doc packages as Multi-Arch: foreign following hinter.
   * Rewrite d/rules removing use of cdbs.
   * Clean up packaging:
     - Bump dh compat to 11 (Closes: #746028)
     - Bump std-ver to 4.1.5
     - don't ship various useless files
     - remove some lintian overrides
     - don't ship fonts : find them elsewhere
   * Checked that scilab does start
     (Closes: #712065,#764783,#812311,#891351,#896118).
   * Add patch to fix fortran compilation (Closes: #904856).
   * Checked that it builds with recent gcc (Closes: #791274).

scilab (6.0.1-2) unstable; urgency=medium

   [ Emmanuel Bourg ]
   * Fixed the build failure with Java 9 (Closes: #875790)
 
   [ Julien Puydt ]
   * Depend on unversioned tcl/tk (Closes: #803526)
   * Force use of java 8 since later versions aren't supported (Closes: #875790)

scilab (6.0.1-1) unstable; urgency=medium

   * Formally adopting the package (Closes: #744140).
   * Add Multi-Arch: indications following hinter.
   * Bump std-ver to 4.1.3.
   * Add dep on liblucene4.10-java for scilab-full-bin.
   * Remove broken symlink to a directory with manpages (Closes: #782051).
   * Make the build reproducible (Closes: #863117).
   * Point Vcs* fields to salsa.debian.org.
   * Package latest upstream (Closes: #891332).

2017

scilab (6.0.0-1) unstable; urgency=medium

   * Upload to unstable
   * Disable modelica on armel (missing ocamlopt).

scilab (6.0.0-1~exp1) experimental; urgency=medium

   * Adopting the package, using git now.
   * Updating the package:
     - Use https for uris
     - Bump dh compat to 10
     - Bump d/watch's version to 4
     - Bump std-ver to 4.1.1
     - Update lintian overrides
     - Move bash completions and metainfo files to correct locations
   * Point d/watch to the latest upstream sources.
   * Package new upstream:
     - Version 6.0.0 (Closes: #873590)
     - Drop patch to add support aarch64 : useless now.
     - Refresh patch to point to the scilab-doc package.
     - Refresh patch to find the library path.
     - Drop patch to add missing chapter : useless now.
     - Refresh patch to disable dep checking at Xcos startup.
     - Refresh patch to simplify the helper command-line.
     - Refresh patch to add deps for scicos' modelica compiler.
     - Refresh patch to add a missing lib to the linker list.
     - Drop patch to adapt the xmlgraphics api : useless now.
     - Drop patch to adapt the fop api to 2.0 : we have 2.2.
     - Drop patch to adapt the batik api to 1.8 : we have 1.9.
     - Refresh patch to add the ppc64el arch.
     - Refresh patch for the jogl2 api.
     - Refresh patch for the hdf5 1.10 api.
     - Drop patch to remove non-free code : it came from upstream.
     - Refresh patch for gcc 7.
     - Refresh patch to fix the build with OCaml 4.05.
     - Add new build-depends.
     - Add patch to handle the lucene 4.10 api.
     - Add patch to compile even without HOME.
   * Rework the manpages.
   * Modernize the appstream and desktop files.

scilab (5.5.2-6) unstable; urgency=medium

   * Team upload.
   * New patch fix-ocaml-4.05.patch, fixes FTBFS. Thanks to Stéphane Glondu.
     (Closes: #868960)

scilab (5.5.2-5) unstable; urgency=medium

   * New patch gcc-7.patch to fix FTBFS with GCC-7 (closes: #853653)

2016

scilab (5.5.2-4) unstable; urgency=medium

   * Team upload
   * New patch scilab.git-f1d7f06.patch backported from upstream commit
     f1d7f06 to replace non-free code (closes: #749833)

scilab (5.5.2-3) unstable; urgency=medium

   * Team upload
   * New patch to support HDF5-1.10 (closes: #841975)

2015

scilab (5.5.2-2) unstable; urgency=medium

   * Team upload.
   * Build against gluegen2 and libjogl2-java 2.3.2 (closes: #791990,
     #798652):
     - New patch libjogl2-java-2.3.2.diff to adapt to jogamp 2.3.2
     - Bump the versioned build-depends and depends on libjogl2-java
       >= 2.3.2
     - Complete patch jvm-archdir-ppc64le.diff to fix bin/scilab.
   * Refresh patch aarch64-detection.patch.

scilab (5.5.2-1.2) unstable; urgency=medium

   * Non-maintainer upload.
   * Fix build with changed jvm architecure directory on ppc64el.
     Closes: #801060.
   * Fix Aarch64 detection (Martin Michlmayr). Closes: #791539.

scilab (5.5.2-1.1) unstable; urgency=medium

   * Non-maintainer upload.
   * Three new patches to cope with java libs API changes:
     - xmlgraphics-commons-2.0.diff
     - fop-2.0.diff
     - batik-1.8.diff
     (closes: #800632).

scilab (5.5.2-1) unstable; urgency=medium

   * New upstream release
   * Patches removed (merged upstream):
     - m4-hdf5.patch
     - m4-java-ppc64el.patch
     - remove-exit.diff
     - bashim.diff
     - jogl-2.2.diff

scilab (5.5.1-7) unstable; urgency=medium

   * Team upload.
   * Readd m4-hdf5.patch in d/patches/series, which had been mistakenly
     removed in version 5.5.1-4. Remove hdf5-libsz.diff which has been
     introduced in replacement.
   * Also readd remove-exit.diff.

scilab (5.5.1-6) unstable; urgency=medium

   * Team upload.
   * Readd m4-java-ppc64el.patch in d/patches/series. It had been
     mistakenly removed in the previous upload. This fixes the FTBFS on
     ppc64el. (Closes: #776525)
   * Fix a mistake in the above patch concerning bin/scilab. The machine
     name (output of 'uname -m') is ppc64le and not ppc64el. This error
     was making scilab unable to start on ppc64el.

2014

scilab (5.5.1-5) unstable; urgency=medium

   * Remove some bashims (Closes: #772410, #772409, #772408)

scilab (5.5.1-4) unstable; urgency=medium

   * Set a minimal version on the libjogl2 package
     to avoid FTFBFS (Closes: 769002). The problem
     itself will be address in libjogl2-java (bug 769003)

scilab (5.5.1-3) unstable; urgency=medium

   * Fix FTBFS with Jogl 2.2 (Closes: #765118)

scilab (5.5.1-2) unstable; urgency=medium

   * Fix a typo in the patch m4-java-ppc64el.patch

scilab (5.5.1-1) unstable; urgency=medium

   * New upstream release
     - Support of openjdk 8 (Closes: #760931)
   * Support of ppc64el (Closes: #761920)

scilab (5.5.0-3) unstable; urgency=medium

   [Gilles Filippini]
   * Team upload (closes: #756698).
   * Support hdf5 1.8.13 new packaging layout.
   * New patch m4-hdf5.patch: fix typo and unneeded dependency on
     inexistant libsz.
 
   [Sylvestre Ledru]
   * Vcs-* tag fixed

scilab (5.5.0-2) unstable; urgency=medium

   * Bring back the signal processing library (Don't know why it was missing)
     (Closes: #738456) (LP: #1265929)
   * Bring back missing changelog items (Closes: #733279)
   * Restrict to the arch on which OpenJDK is available:
     amd64, armel, armhf, i386, mips, mipsel, powerpc, s390x, arm64, ppc64el
     (Partial Closes of #739235)
   * Disable dh_autoreconf call. Disabling of libtool in dh_autoreconf is failing
     It messes things up in Ubuntu with the weird Scilab library ordering stuff
     (LP: #1307875)

scilab (5.5.0-1) unstable; urgency=medium

   * Stable release (very similar to beta-1+git~20140406-1522)
   * Add back the wrongly removed depend-scicos.diff
   * Also disable ocamlopt features on mips mipsel s390x sparc

scilab (5.5.0~beta-1+git~20140406-1522-3) unstable; urgency=medium

   * Fix the build under Ubuntu. Thanks to Clement David for the patch

scilab (5.5.0~beta-1+git~20140406-1522-2) unstable; urgency=medium

   [ Matthias Klose ]
   * Configure --without-modelica on arm64 and ppc64el, apparently the
     package wants ocamlopt.

scilab (5.5.0~beta-1+git~20140406-1522-1) unstable; urgency=medium

   * New snapshot release
   * jh.diff: Fix an issue in the construction of the doc
   * link-issue.diff: Fix a start up segfault (LP: #1299686)

scilab (5.5.0~beta-1+git~20140327-1135-1) unstable; urgency=medium

   * New snapshot release
   * Update the version name
 
   [ Matthias Klose ]
   * Build using dh-autoreconf
   * Fix linking of the scilab-bin and scilab-cli-bin binaries, don't misuse
     LDFLAGS macros to add libraries.
   * Fix linking of modules and shared libraries, don't misuse LDFLAGS to
     add libraries.
   * Fix java cpu directory for arm64 and ppc64el.

scilab (5.5.0~beta-1~git~20140324-1354-1) unstable; urgency=medium

   * New snapshot release (stable should be released next week)
   * Remove the scirenderer dependency
   * Standards-Version updated to 3.9.5

2013

scilab (5.5.0~beta-1~git~20131216-1627-1) unstable; urgency=low

   * New snapshot release
   * Remove the check of dependencies on xcos startup (Closes: #732065)

scilab (5.5.0~beta-1~git~20131204-1256-1~exp1) unstable; urgency=low

   * New snapshot release
     - Enables the dynamic stack (a magic fortran work around). It makes
       Scilab build with gcc 4.8 and fixes some other arch related bugs.
       (Closes: #723644)
   * Upload in unstable
   * Generate the manpages on the fly with help2man (Closes: #731236)
   * Also install scilab.appdata.xml to the various software center
   * Install all icons at the right places (LP: #1257075)
   * Add libecj-java as build/run dependency for the Java binding

scilab (5.5.0~beta-1-1~exp4) experimental; urgency=low

   * Force the Scilab dynamic stack for all archs
   * Come back on gcc 4.8

scilab (5.5.0~beta-1-1~exp3) experimental; urgency=low

   * Only use gcc 4.7
   * Also ship CHANGES_5.5.X

scilab (5.5.0~beta-1-1~exp2) experimental; urgency=low

   * Force the usage of gfortran 4.7
     Probably related to http://gcc.gnu.org/ml/fortran/2013-08/msg00077.html

scilab (5.5.0~beta-1-1~exp1) experimental; urgency=low

   * New upstream release
   * Enable MPI features

scilab (5.4.1-4) unstable; urgency=low

   * Fix the cyclic dependencies on libscilab2-java (Closes: #718135)
   * Merge libscilab2-java into scilab-full-bin
     It is now a mandatory dependency of Scilab (Closes: #711700)

scilab (5.4.1-3) unstable; urgency=low

   * Fix an upgrade issue caused by the change in 5.4.1-2 (Closes: #712225)

scilab (5.4.1-2) unstable; urgency=low

   * Fix the cyclic dependencies on libscilab2-java (Closes: #711700)

scilab (5.4.1-1) unstable; urgency=low

   * Upload to unstable
   * Standards-Version updated to 3.9.4
   * Update of the watch file

scilab (5.4.1-1~exp2) experimental; urgency=low

   * Improve the runtime dependencies on flexdock, scirenderer & jlatexmath

scilab (5.4.1-1~exp1) experimental; urgency=low

   * New upstream release
   * Update minimal versions of scirenderer

scilab (5.4.1~git20130321-2df5f3a-1~exp2) experimental; urgency=low

   * Also install bin/scinotes & bin/xcos
   * Sync of the Ubuntu changes
 
   [ Daniel T Chen ]
   * Made build infrastructure multiarch-aware, fixing FTBFS.

scilab (5.4.1~git20130321-2df5f3a-1~exp1) experimental; urgency=low

   * New snapshot release
   * Force the usage of matio 1.5

scilab (5.4.1~git20130314-27e240f-1~exp1) experimental; urgency=low

   * New snapshot release

scilab (5.4.1~git20130308-b7ffdce-1~exp1) experimental; urgency=low

   * Use a new snapshot which should contain the fix for the i386 FTBFS

scilab (5.4.1~git07032013-1~exp1) experimental; urgency=low

   * New snapshot release (more stable than 5.4.0)
   * Update the minimal dependencies
   * Remove libraries deleted by upstream (libscidoublylinkedlist,
     libscihashtable, libscilibst & libscimalloc)

2012

scilab (5.4.0.0-1~exp1) experimental; urgency=low

   * New upstream release

scilab (5.4.0-beta-3-1~exp2) experimental; urgency=low

   * Add libscilab2-java as a dependency of scilab-full-bin.
     Now necessary in many different aspects of Scilab.

scilab (5.4.0-beta-3-1~exp1) experimental; urgency=low

   * New upstream release
   * Update the scirenderer dep
   * Get ride of libjhdf5-java dependency

scilab (5.4.0-beta-2-1~exp1) experimental; urgency=low

   * New upstream release
   * Remove libscilab-java (remove upstream). Use libscilab2-java instead.

scilab (5.4.0-beta-1-1~exp1) experimental; urgency=low

   * New upstream release
   * Remove the watcher (Closes: #678285)

scilab (5.4.0-alpha-20122205-4fd39a5-1~exp1) experimental; urgency=low

   * New snapshot release
   * Based on scirenderer 0.4.7 and libjogl2-java 2.0 rc8
   * s390x.diff removed (applied upstream)

scilab (5.4.0-alpha-20122105-824511b-1~exp1) experimental; urgency=low

   * New snapshot release
   * New graphic implementation, depends on libscirenderer-java
   * Drop the dependency on PVM (no longer shipped in Scilab)
   * Support of s390x

scilab (5.4.0-alpha-20120903-33206a8-1~exp2) experimental; urgency=low

   * Remove ccache from the dependencies (FTBFS on archs)
   * Fix a cyclic dependency between scilab-full-bin & scilab-minimal-bin
   * Standards-Version updated to version 3.9.3
   * Fix "scilab-doc: doc-package-depends-on-main-package"
   * Remove the menu item (uses desktop files now)

scilab (5.4.0-alpha-20120903-33206a8-1~exp1) experimental; urgency=low

   * Package of the current git version

2011

scilab (5.4.0-alpha-1-1~exp3) experimental; urgency=low

   * Fix a French localization issues
   * Update the minimal version of libjhdf5
   * Fix a bug in the adddemo.diff patch. Also update the error message.

scilab (5.4.0-alpha-1-1~exp2) experimental; urgency=low

   * Remove the bundled version of arpack and use arpack-ng (ie >= 3.0)
   * Some cleanup in the old patches

scilab (5.4.0-alpha-1-1~exp1) experimental; urgency=low

   * New upstream release

scilab (5.3.3-10) unstable; urgency=low

   * Fix also the javadoc encoding issue (Closes: #672618)

scilab (5.3.3-9) unstable; urgency=low

   * Fix a build issue with openjdk7 (Closes: #672618)
   * Get ride of the watcher. The doc build process is way faster now
     (Closes: #673292)
   * Fix a bug with 32 bit userland and 64 bit kernel (Closes: #631813)
   * Standards-Version updated to version 3.9.3
   * Ignore "scilab-doc: doc-package-depends-on-main-package depends"

scilab (5.3.3-8) unstable; urgency=low

   * Fix a bug on the startup of Xcos because the new version of hdf5
     in the archive is 1.8.8 (Closes: #666215)

scilab (5.3.3-7) unstable; urgency=low

   * Change dependency libhdf5-serial-dev => libhdf5-dev
   * Update the dependency on jhdf to version 2.8

scilab (5.3.3-6) unstable; urgency=low

   * If scilab-doc is not install, do not trigger an error. Just show a warning.
     This will avoid error link in the bug #654621
   * Update of the description
   * Add an explicit dependency on libjgoodies-looks-java

scilab (5.3.3-5) unstable; urgency=low

   * Update the error message of the demo when scilab-doc is not installed
   * Fix a build issues relative to LD_LIBRARY_PATH

scilab (5.3.3-4) unstable; urgency=low

   * Dependency fftw3-dev dropped (replaced by libfftw3-dev)
   * Fix some encoding issues which were causing Scilab to fail with
     the openjdk 7 (Closes: #888998)
   * Explicity the dependency on skinlf (Closes: #648060)

scilab (5.3.3-3) unstable; urgency=low

   * default-java-path.diff: For the usage of /usr/lib/jvm/default-java to
     detect the right path of Java (due to the multiarch changes in the
     openjdk) (Closes: #639924)
   * Fix a minor typo in the description

scilab (5.3.3-2) unstable; urgency=low

   * Get ride of .la files (Closes: #633209)
   * Unused override removed
   * Fix some minor man warnings
   * Update the description of libscilab2-java (Remove warning
     duplicate-short-description)
   * Upstream changelog added (no-upstream-changelog)
   * Fix unneeded-build-dep-on-quilt & copyright-refers-to-symlink-license

scilab (5.3.3-1) unstable; urgency=low

   * New upstream release

scilab (5.3.2-2) unstable; urgency=low

   * Add mips64 support (mips64.diff)

scilab (5.3.2-1) unstable; urgency=low

   * New upstream release (updateOfJgoodies.diff & wrongVersion.diff removed)
   * Standards-Version updated to version 3.9.2
   * Use .desktop provided in the upstream sources.

scilab (5.3.1-4) unstable; urgency=low

   * Fix the real name of the release

scilab (5.3.1-3) unstable; urgency=low

   * Missing dependencies (Closes: #618709)
   * Improve dependencies

scilab (5.3.1-2) unstable; urgency=low

   * Update of a check due to the recent update of libjgoodies-looks-java
     (Closes: #617274)
   * Force dependency on ocaml to version 3.11.2-3 in order to avoid bug
     #617404.

scilab (5.3.1-1) unstable; urgency=low

   * New upstream release
   * Japanese documentation added (package scilab-doc-ja)
   * Switch to dpkg-source 3.0 (quilt) format
   * Aurélien removed from uploader (MIA)
   * Updated description with Xcos

scilab (5.3.0-final-3) unstable; urgency=low

   * Some modelica binaries were missing in a package (scilab-full-bin).

scilab (5.3.0-final-2) unstable; urgency=low

   * Upload in Debian unstable
   * A file moved from a package to the other caused a bug (LP: #710419)
   * Switch to dpkg-source 3.0 (quilt) format

2010

scilab (5.3.0-final-1) experimental; urgency=low

   * New upstream release
   * URL in the watch file updated

scilab (5.3.0-beta-5-1) experimental; urgency=low

   * New upstream release.

scilab (5.3.0-beta-4-3) experimental; urgency=low

   * Fix some lintian warnings

scilab (5.3.0-beta-4-2) experimental; urgency=low

   * Provide specific packages for javasci2 called libscilab2-java

scilab (5.3.0-beta-4-1) experimental; urgency=low

   * New upstream release
   patch addchapter.diff removed (applied upstream)

scilab (5.3.0-beta-3-2) experimental; urgency=low

   * Missing dep on libjlatexmath-fop-java

scilab (5.3.0-beta-3-1) experimental; urgency=low

   * New upstream release
   * jhdf2.6.diff addchapter.diff full_support.diff sparc64.diff
     z_cpudetection.diff better-feedback-on-lib-error.diff
     test_run_permission.diff renesas-sh.diff applied upstream.

scilab (5.2.2-9) unstable; urgency=low

   * Fix a problem in the ia64 startup. (Closes: #593684)
   * Build the help file by increasing the amount of memory available to the JVM
     (Closes: #599149)
   * Fails the build when some key components are not built

scilab (5.2.2-8) unstable; urgency=high

   * SECURITY UPDATE:
     - (CVE-2010-3378) : Insecure library loading (Closes: #598422, #598423)

scilab (5.2.2-7) unstable; urgency=low

   * Fix a bad upload: Not binNMU-able (Closes: #597755)
   * Fix an issue with mips64. Thanks to Liushiwei (Closes: #593902)
   * Wrong recommends on sivp (Closes: #576475)

scilab (5.2.2-6) unstable; urgency=low

   * Fix a problem with the build system

scilab (5.2.2-5) unstable; urgency=low

   [ Matthias Klose ]
   * Fix JVM detection for armv<anything> machines (Closes: #596509)

scilab (5.2.2-4) unstable; urgency=low

   * Fix a FTBFS under powerpc (conflicting declaration of basename)
     basename.diff

scilab (5.2.2-3) unstable; urgency=low

   * Remove option -fwritable-string. writable-string.diff (Closes: #593114)
   * Fix a problem in the detection of sparc for sivp sparcstartup.diff
     (Closes: #591541)
   * Update copyright file to fix lintian warning:
     copyright-refers-to-deprecated-bsd-license-file
   * Standards-Version updated to version 3.9.1

scilab (5.2.2-2) unstable; urgency=low

   * Missing files in libjavasci (Closes: #585679)
   * libjavasci arch: all => any
   * Rpath back in business for sciscipy (Closes: #586746)
   * Set the exact dependencies on jgraphx (1.2.0.8). Too many compatibilities
     issues.

scilab (5.2.2-1) unstable; urgency=low

   * New upstream release
   * better-feedback-on-lib-error.diff, full_support.diff, renesas-sh.diff,
     s390javadetection.diff, sparc64.diff, test_run_permission.diff,
     z_cpudetection.diff removed (applied upstream)

scilab (5.2.1-9) unstable; urgency=low

   * Add procps as a build dependency to make the watcher work (Closes: #577870)

scilab (5.2.1-8) unstable; urgency=low

   * Enable also the keep alive for Debian (sparc has some pbs on the
    documentation build)
   * Update of the completion script
   * Update of the README.Debian file (Scilab is free since 5.0.0)
   * Fix a problem with the unitary tests (permission). Backport from upstream.
     test_run_permission.diff
   * In case of error on the library load, provide more feedbacks
     better-feedback-on-lib-error.diff

scilab (5.2.1-7) unstable; urgency=low

   * Bad detection on the CPU detection for the Java arch.

scilab (5.2.1-6) unstable; urgency=low

   * Add a scilab bash completion script

scilab (5.2.1-5) unstable; urgency=low

   * scilab-include is now arch dependent because machine.h is arch dependent
     and is included by some Scilab modules and causes some potential issues
     like in scilab-overload (Closes: #550243)

scilab (5.2.1-4) unstable; urgency=low

   [ Christoph Korn ]
   * debian/rules, debian/watcher.sh: Add a ticker to the build to prevent
     timeouts on some arches (only use it on Ubuntu because Debian does not
     have a timeout). Thanks to Colin Watson and Iain Lane for this idea.
     The watcher has been copied from the agda package.

scilab (5.2.1-3) unstable; urgency=low

   * Support of Renesas SH(sh4) thanks to Nobuhiro Iwamatsu for the patch
     renesas-sh.diff (Closes: #570587)
   * Fix of an error in the sparc64 detection at runtime

scilab (5.2.1-2) unstable; urgency=low

   * Support of sparc64 (sparc64.diff)

scilab (5.2.1-1) unstable; urgency=low

   * New upstream release
   * Some patches removed jgraphx-1.2.0.diff jgraphx-save.diff
     ImplicitPointerConversions.diff

scilab (5.2.0-7) unstable; urgency=low

   * Workaround to fix an error in jgraphx (jgraphx-save.diff)
   * Update of some descriptions of package
   * Scilab build doc dependencies moved from package scilab-doc to
     scilab-full-bin
   * Scilab package recommends now scilab-doc (and suggests scilab-doc-pt-br
     and scilab-doc-fr)
   * Update of the debian/watch file to match the new upstream website

scilab (5.2.0-6) unstable; urgency=low

   * Missing dependency on scilab-full-bin for package scilab

scilab (5.2.0-5) unstable; urgency=low

   * Update of package descriptions
   * Package scilab-doc-pt-br (Brazilian Portuguese) added
   * circular dependency with scilab-minimal-bin on scilab-full-bin removed
     by moving some libraries from a package to the other (Closes: #567194)
   * Update of the jgraphx patch which was causing some issues with xcos
     Thanks to Clement David for the fix.
   * Standards-Version updated to version 3.8.4

scilab (5.2.0-4) unstable; urgency=low

   * New packages added: scilab-cli (for command line interpretor), scilab-bin
     has been split between scilab-minimal-bin and scilab-full-bin
   * Fix syntax error in the changelog
   * scilab-data lintian overrides fixed
   * lintian overrides added on scilab-test

scilab (5.2.0-3) unstable; urgency=low

   * Explicit dependency on scilab-sivp (>= 5.0.0) (Closes: #561856)
   * Patch to build/run against jgraphx 1.2.0.7 (jgraphx-1.2.0.diff)
   * Patch to build/run against jhdf 2.6 (jhdf2.6.diff)

scilab (5.2.0-2) unstable; urgency=low

   * Move to unstable
   * Some implicit pointer conversions removed
     (ImplicitPointerConversions.diff)

2009

scilab (5.2.0-1) experimental; urgency=low

   * New upstream release (dependencies added: jlatexmath, jhdf, hdf5,
     libjgraphx)
   * alphabuild.diff, exitincode.diff, fpu_control.diff, jvm-powerpc.diff
     javaruntimedetection.diff, malloc.diff, z_java_debug.diff,
     z_mipsel_arm_mgmt.diff, autoconf-libs-filed-updated.diff,
     ocaml-not-available.diff, typo.diff removed (applied upstream)
   * PVM_ROOT set is no longer required

scilab (5.1.1-13) unstable; urgency=low

   * Recommends sivp => scilab-sivp (Closes: #560174)
   * scilab-swt, scilab-scimax, scilab-plotlib, scilab-ann added to Suggests

scilab (5.1.1-12) unstable; urgency=low

   * openjdk-6-jdk => default-jdk

scilab (5.1.1-11) unstable; urgency=low

   * In the version 5.1.1-10, I changed a mv by a cp and it caused the help
     file to be stored in both packages (Closes: #547624)

scilab (5.1.1-10) unstable; urgency=low

   * Do not build the help on arch != amd64/i386. Waiting for upstream to
     improve the build time
   * Force the dependency on openjdk-6-jre | sun-java6-jre on scilab-bin to
     make sure that libjava is available (Closes: #538359)

scilab (5.1.1-9) unstable; urgency=low

   * mipsel and armel management added (z_mipsel_arm_mgmt.diff patch added)

scilab (5.1.1-8) unstable; urgency=low

   * Update libs_by_debian.m4 which is the libs.m4 of autoconf 2.64
      (bug reported upstream) (LP: #414410)
   * Removal of Torsten on his request (Thanks for everything)
   * Standards-Version updated to 3.8.3
   * DM-Upload-Allowed removed

scilab (5.1.1-7) unstable; urgency=low

   [ Sylvestre Ledru ]
   * Change of my email address since I am now DD \o/
   * Better processing with the removal of the rpath
   * dh_desktop call removed
   * Standards-Version updated to 3.8.2
   * Force the minimal version of suitesparse to 3.4.0-1. This version
     introduced new binary packages (libumfpack and libamd here)
 
   [ Christoph Korn ]
   * debian/control:
     * Set libscilab-java as architecture independent because it only
       contains a jar file.
     * Added scilab-bin-dbg as debugging package. CDBS should do the rest.
   * debian/rules:
     * Moved the install code for icons from "binary-install/libscilab-java::"
       target to "install/scilab::" target.

scilab (5.1.1-6) unstable; urgency=low

   * better install which should really fix the previous bug
     (Closes: #528517)
   * More feedbacks on the java detection (z_java_debug.diff)
   * Enable a default case on the startup about the java detection
     (javaruntimedetection.diff)

scilab (5.1.1-5) unstable; urgency=low

   * install/scilab wasn't called when building binary for other archs.
     Therefor not installing correctly everything (Closes: #528517)
   * A bad define was causing a silly include (alphabuild.diff)
   * uname -m is returning s390x on some s390 archs (s390javadetection.diff)
   * manpage of modelicac updated with the information about the
     availability of this binary

scilab (5.1.1-4) unstable; urgency=low

   * librefblas3-dev does not exist (yet). Thanks to Jose Ramon
   * Do not stop when ocamlopt is not available on the arch
     (ocaml-not-available.diff)
   * Provide a clear error message for archs where modelicac compiler is
     not available (modelicac-not-available.diff)
   * scilab startup script moved from package scilab => scilab-bin (because of
     the ocamlopt problem, I cannot predict if modelicac will be available or
     not. Therefor, I ship usr/bin/ instead of binary per binary. This will
     also simplifies the packaging of Scilab 5.2)

scilab (5.1.1-3) unstable; urgency=low

   * Fix warnings in the manpages (modelicac.1 & scilab.1)
   * Fix a few typo in the code (typo.diff)
   * Remove some exit() in some libs of Scilab (exitincode.diff)
   * Encoding removed from scilab.desktop (it is now the default encoding)
   * call_scilab documentation was not correctly loaded (missingaddchapter.diff)
   * change of the order of the dependencies of the numerical deps (didn't work
     buildd) (Closes: #525935)
   * Build-dep atlas3-base-dev renamed to libatlas-base-dev

scilab (5.1.1-2) unstable; urgency=low

   * More windows-devel-file-in-package lintian ignored
   * libscilab-java is now in Section: java
   * Upload in unstable
   * Standards-Version updated to 3.8.1
   * compat & debhelpder dep updated from 4 => 7

scilab (5.1.1-1) experimental; urgency=low

   [ Christoph Korn ]
   * New upstream version.
     (patches 64bitsdetection.diff filesWithSpace.diff javaHeadLess.diff
     displayStack.diff xmlCleanupParser.diff removed. Applied upstream)
 
   [ Sylvestre Ledru ]
   * Add a patch to manage powerpc detection of the JVM (jvm-powerpc.diff)
   * Add a patch to use only fpu_control under Linux & x86 (fpu_control.diff)

scilab (5.1-2) experimental; urgency=low

   [ Sylvestre Ledru ]
   * Package scilab-include added (was missing in the previous version)
   * sivp added in the recommanded packages (Closes: #505203)
   * Replaces: scilab (< 5.0) added in scilab-bin (caused issue in the 4.X
    => 5.X upgrade)
   * Patch xmlCleanupParser.diff added (fix some problems with the latest
     version of libxml... which is not yet present in Debian).
   * Add a lintian override for some visual project files
   * Copyright update about javasci's examples (public domain now)
   * Missing deps on docbook-xsl for scilab-doc
 
   [ Christoph Korn ]
   * debian/patches/filesWithSpace.diff: Removes a space in two filenames.
   * debian/rules: Remove empty translation files (Closes LP: #272264)

scilab (5.1-1) experimental; urgency=low

   * New upstream release
   * Some patches removed (included upstream)
   * Better watch file
   * Missing dep to pkg-config
   * Patch javaHeadLess.diff added (build Scilab into a chroot)
   * Patch 64bitsdetection.diff added (better detection of a 64 bits CPU)
 
   [ Christoph Korn ]
   * ${misc:Depends} added to make lintian happy
   * deleted debian/patches/series because quilt is not used as patch system
   * Dropped g++ build dependency to make lintian happy.
   * debian/control: Changed the unique package descriptions to
     make lintian happy.

scilab (5.0.3-6) experimental; urgency=low

   * Integration of a patch to be able to build french without the locale

scilab (5.0.3-5) experimental; urgency=low

   * Add a backported patch from upstream to be able to build the
     documentation without the french localization installed on the
     system

scilab (5.0.3-4) experimental; urgency=low

   * scilab.desktop wasn't install (thanks again to Christoph Korn) and
     and the categories were wrong

2008

scilab (5.0.3-3) experimental; urgency=low

   * Missing dep to ant & docbook-xsl
   * Information about the LGPL added in the copyright file
   * Force a minimal version of jeuclid
   * Install the icon
   * Fix a problem in the scilab.desktop file (thanks to Christoph Korn)
   * Icons added to the menu item

scilab (5.0.3-2) experimental; urgency=medium

   * Warnings removed on startup
   * Tests moved to scilab-test package

scilab (5.0.3-1) experimental; urgency=medium

   * New upstream version (Closes: #483682, #499565, #486876)
     Massive changes in the package construction
   * Package moved to main since Scilab is free (CeCILL license)
   * modelicac, intersci and scilab manpages added

scilab (4.1.2-6) unstable; urgency=low

   * Debian-science added as maintainer
   * SVN moved to debian-science repository
   * Standards-Version updated to 3.8.0
   * Fix a security issue reported by Dmitry E. Oboukhov. (Closes: #496414)

scilab (4.1.2-5) unstable; urgency=low

   * Add DM-Upload-Allowed: yes to enable uploads for Sylvestre.

scilab (4.1.2-4) unstable; urgency=low

   * Replace g77 by gfortran.
   * Improve dependencies on wish and scilab-doc.
   * Drop compatibility with versions prior the Etch release.

2007

scilab (4.1.2-3) unstable; urgency=low

   * Add debian/watch.
   * Update Homepage and Vcs headers in debian/control.
   * Change Standards-Version: 3.7.3.
   * Switch to debhelper 5.

scilab (4.1.2-2) unstable; urgency=low

   * Move architecture dependent files from package scilab to scilab-bin.
     (Closes: #452461)
   * Support binary NMUs.
   * Fix desktop and menu files.

scilab (4.1.2-1) unstable; urgency=low

   * New upstream version

scilab (4.1.1-2) unstable; urgency=low

   [ Sylvestre Ledru ]
   * Some binaries (name, lib ...) used by Scilab toolboxes were removed.
 
   [ Aurélien GÉRÔME ]
   * Too quick to check/upload previously: lintian errors and
     warnings are still there, but are removed upstream in scilab 5.

scilab (4.1.1-1) unstable; urgency=low

   [ Sylvestre Ledru ]
   * New upstream version: this version fixes an important bug in the
     displaying of some numbers.
   * Patch javasci.diff removed: merged upstream.
 
   [ Aurélien GÉRÔME ]
   * Upload to unstable with low urgency.
   * Add the correct XS-Vcs-Svn and XS-Vcs-Browser fields in
     debian/control.
   * All lintian errors and warnings are now fixed upstream.

scilab (4.1-2) unstable; urgency=low

   * Upload to unstable.

scilab (4.1-1) unstable; urgency=medium

   * New upstream version.
   * Some patches removed or updated (reported to the upstream)
   * Add debian/patches/stack-c.diff to remove the compilation warning "'c1_local' defined but not used"

2006

scilab (4.0-12) unstable; urgency=high

   [ Sylvestre Ledru ]
   * Add debian/patches/javasci.diff to translate a comment in English,
     because a French accent triggered a FTBFS with gcj-4.1.
 
   [ Aurélien GÉRÔME ]
   * Update debian/patches/build.diff to fix a FTBFS on alpha
     architecture: use built-in memory allocation functions on 64-bit
     architectures. (Closes: #402736)
   * Conform to the policy by using "-g -Wall" in CFLAGS and FFLAGS,
     but not touching optimisation flags.
   * Disable Java interface by default.

scilab (4.0-11) unstable; urgency=medium

   [ Aurélien GÉRÔME ]
   * Add Sylvestre and myself to the Uploaders field in debian/control.
   * Add the XS-Autobuild field in debian/control. (Closes: #401117)
 
   [ Torsten Werner ]
   * Apply an upstream patch for building on mips and mipsel.
   * Set urgency to medium because this fixes a FTBFS bug.
   * Switch to external pvm library.

scilab (4.0-10) unstable; urgency=low

   * Configure --without-pvm on mips and mipsel for the moment.

scilab (4.0-9) unstable; urgency=low

   * Prefer autoconf2.50 over autoconf2.13.
   * Explicitely specify the path to tcl includes.
   * Move patches directory under debian directory.

scilab (4.0-8) unstable; urgency=low

   * Use g77 instead gfortran to compile Scilab because of a bug of gfortran.
     (Closes: #397606)
   * Fix a bug in compilation of Scilab under GNU/Debian Alpha.

scilab (4.0-7) unstable; urgency=low

   [ Sylvestre Ledru ]
   * Fix a bug in the debian patch which was causing a seg fault with 64 bits
     CPU. (Closes: #385376)
 
   [ Torsten Werner ]
   * Add XS-X-Vcs-Svn: header to debian/control.

scilab (4.0-6) unstable; urgency=low

   * Changed gettklib.sci to load libtk8.4.so.0 instead libtk8.4.so, change
     applied into Scilab official SVN. (Closes: #394377)

scilab (4.0-5) unstable; urgency=low

   * Remove debian/stamp-autoconf in clean:: target.
   * Do not ship files called .cvsignore. (Closes: #387870)
   * Do not ship binaries needed for build process. (Closes: #392389)

scilab (4.0-4) unstable; urgency=low

   * Make the package binNMUable.
   * Make the package portable.

scilab (4.0-3) unstable; urgency=low

   * create symlink for manual directory to /usr/share/doc/...
   * doc-base support
   * add more Build-Depends

scilab (4.0-2) unstable; urgency=low

   * add bin and pvm3 directories
   * use quilt for upstream changes
   * add desktop file
   * set Standard-Version to 3.7.2, no changes needed

scilab (4.0-1) unstable; urgency=low

   * new upstream version, closes: #321537
   * does not link with readline, closes: #326275, #359886, #361592
   * does not use gtk any more, closes: #302741, #302506

scilab (3.0-14.1) unstable; urgency=low

   * NMU
   * Apply patch to remove -fwritable-strings. Thanks Andreas Jochens.
     (closes: #327726)

2005

scilab (3.0-14) unstable; urgency=low

   * #undef mips in routines/sun/link.c to enable support for Linux on mips,
     closes: #29712

scilab (3.0-13) unstable; urgency=low

   * added Replaces: scilab (<< 3.0-5) for scilab-bin and scilab-doc,
     closes: #289968
   * build against current gcc, closes: #260542
   * remove all .cvsignore files, closes: #163424, #273032
   * create a symlink to man pages into /usr/share/doc/...,
     closes: #296216

scilab (3.0-12) unstable; urgency=low

   * changed configure.in to build scilab's own malloc.o, closes: #255869

2004

scilab (3.0-11) unstable; urgency=low

   * forgot to run autoconf for last version, closes: #283917

scilab (3.0-10) unstable; urgency=low

   * fixed configure.in to work on any *-*-linux-gnu system, closes: #281543
   * included a note about licence change and autobuilding in README.Debian

scilab (3.0-9) unstable; urgency=low

   * changed Standards-Version: 3.6.1
   * do not use font 'fixed' any more (last fix undone)

scilab (3.0-8) experimental; urgency=low

   * workaround for libtool problem in Makemex.in and config/Makeso.incl.in,
     closes: #260542
   * force font 'fixed' for scilab window, closes: #261966
   * removed file .cvsignore from scilab-bin package, closes: #273032

scilab (3.0-7) experimental; urgency=low

   * fixed atlas Build-Depends for amd64
   * changed Build-Depends on ocaml-interp (>= 3.08.0)
   * added more missing -fPIC
   * added --with-tcl-include=/usr/include/tcl8.4 to configure args

scilab (3.0-6) experimental; urgency=low

   * added -fPIC where missing

scilab (3.0-5) experimental; urgency=low

   * changed Build-Depends: libgtkhtml3.1-dev to libgtkhtml2-dev
   * removed Build-Depends: libgnome-dev
   * added Build-Depends: libreadline4-dev | libreadline-dev
   * remove lib*.so, *.dll and examples/mex-examples/mexglx/xtimesy.mexglx in
     clean:: target
   * moved architecture specific files into new package scilab-bin
   * moved demos, examples and man into new package scilab-doc

scilab (3.0-4) experimental; urgency=low

   * removed all macros/**/*.sci and man/**/*.xml files from binary package
   * fixed SCI variable in scripts/scilab-gtk.g.in
   * readded file 'configure' to installation again
   * workaround for incomplete 'make distclean' to really make distclean

scilab (3.0-3) experimental; urgency=low

   * added --with-gtk2 to configure, closes: #260543

scilab (3.0-2) experimental; urgency=low

   * added Build-Depends: libnum-ocaml-dev, sablotron, closes: #260164
   * removed file 'configure' and directory 'tests' from installation
   * changed gettklib.sci to load libtk8.4.so.0 instead libtk8.4.so, closes: #260162

scilab (3.0-1) experimental; urgency=low

   * new upstream

scilab (2.99rc1-1) experimental; urgency=low

   * new upstream, closes: #257499
   * Build-Depends: tk4-dev, closes: #207870

scilab (2.7-12) unstable; urgency=low

   * added mips and mips to the platforms that use atlas3
   * fixed compile time errors for platforms that do not use atlas3

scilab (2.7-11) unstable; urgency=low

   * added Build-Depends for refblas3-dev

scilab (2.7-10) unstable; urgency=low

   * recompiled with atlas3 instead of atlas2

scilab (2.7-9) unstable; urgency=low

   * added missing -fPIC to some routines/*/Makefile{,.in}, closes: #227233

2003

scilab (2.7-8) unstable; urgency=low

   * do not compile blas and lapack any more
   * converted static libs to shared libs and linked scilex dynamically
   * removed unnessesary *.sci files from binary package

scilab (2.7-7) unstable; urgency=low

   * updated autotools stuff + fixes for ia64

scilab (2.7-6) unstable; urgency=low

   * fixed building with pbuilder

scilab (2.7-5) unstable; urgency=low

   * build against tk8.3-dev, closes: #200254
   * converted to cdbs

scilab (2.7-4) unstable; urgency=low

   * included fix for buggy chapter button in help window, closes: #191035

scilab (2.7-3) unstable; urgency=low

   * include libs/ directory, fixed examples/Makefile.in, hopefully
     closes: #186519
   * moved examples directory to /usr/share/doc/scilab/

scilab (2.7-2) unstable; urgency=low

   * do not create /usr/lib/scilab link due to an old dpkg bug,
     closes: #184726

scilab (2.7-1) unstable; urgency=low

   * new upstream, closes: #179938
   * uses upstream provided 'make install'
   * removed most of former Debian changes

2002

scilab (2.6-9) unstable; urgency=low

   * install Version.incl into /usr/lib/scilab/ to make scicos happy,
     closes: #163361

scilab (2.6-8) unstable; urgency=low

   * quick hack to work around Bug #149834 to get it build on alpha

scilab (2.6-7) unstable; urgency=low

   * do not build any pvm related stuff, closes: #151919

scilab (2.6-6) unstable; urgency=low

   * reenabled pvm, added pvm-dev to Build-Depends and pvm to Recommends
   * using debians own blas and lapack libraries, closes: #120286

scilab (2.6-5) unstable; urgency=low

   * fixed generation of scilab's man page, closes: #144261

scilab (2.6-4) unstable; urgency=low

   * support for m68k, closes: 138895
   * installs some missing files, closes: 138329

scilab (2.6-3) unstable; urgency=low

   * fixed SCI variable in scripts/*.g files

2001

scilab (2.6-2) unstable; urgency=low

   * added stack?.h to /usr/lib/scilab/routines/, closes: 122390
   * copied new version of config.sub and config.guess from /usr/share/misc/ to
     config/, closes: #46482, #47811

scilab (2.6-1) unstable; urgency=low

   * configured with argument --without-pvm because pvm support is broken
   * #include <math.h> fix (for powerpc architecture), closes: #111648
   * new maintainer

scilab (2.6-0.1) unstable; urgency=low

   * new upstream, NMU, closes: #93765
   * added build deps, closes: #91282, #71942
   * removed scilab-doc package since documentation is no longer
     available in upstream sources, rerun dh_make
   * closes old bugs: #27805, #26236, #65452, #71583
   * /usr/share/man fix, closes: #91061

2000

scilab (2.5-0.1) unstable; urgency=low

   * NMU to update versions
   * Wouldn't compile on Alpha and package hadn't been touched in
     years apparently.
   * Closes alpha-building bugs (closes: Bug#68410)

1998

scilab (2.4-1) unstable; urgency=low

   * new maintainer
   * new upstream version
   * apply patch from scilab newsgroup to fix hypermatrix problems

1997

scilab (2.2-4) unstable; urgency=low

   * Changed 'scilab' script to correct bug #5500.

1996

scilab (2.2-3) unstable frozen; urgency=low

   * Added a simlink to make man happy (Corrects bug #5446 ;-)
   * Added dependance on 'c-shell' (Corrects bug #5447)
   * Added missing 'imp/NperiPos.ps' file (Corrects bug #5448)
   * Modified the 'configure' file to build with libc-5.4
   * Changed '.so' links in man pages.

scilab (2.2-2) unstable; urgency=low

   * Corrected some typos.

scilab (2.2-1) unstable; urgency=low

   * Initial release.